---
- name: Using block to have a single when condition
  block:
    - name: job status extension - {{ item.id }}
      uri:
        url_username: {{ tower_username }}
        url_password: {{ tower_password }}
        force_basic_auth: true
        url: "https://{{ tower_url }}/api/v2/jobs/{{ item.summary_fields.job.id }}"
        method: GET
        return_content: true
        body_format: json
        validate_certs: false
      register: result_ext 

    - name: define the event structure - {{ item.id }}
      set_fact:
        event_data: {"event": {
          "workflow_id": "{{ hostvars.localhost.awx_workflow_job_id }}",
          "workflow_name": "{{ hostvars.localhost.awx_workflow_job_name }}",
          "inventory_id": "{{ item.summary_fields.inventory.id }}",
          "inventory_name": "{{ item.summary_fields.inventory.name }}",
          "job_project_id": "{{ result_ext.json.summary_fields.project.id }}",
          "job_id": "{{ item.summary_fields.job.id }}",
          "job_name": "{{ item.summary_fields.job.name }}",
          "status": "{{ item.summary_fields.job.status }}"
        }}

    - name: send the event to splunk, using role. - {{ item.id }}
      include_role:
        name: role-send-to-splunk

  when: item.summary_fields.job.status|d('undefined') == "failed"
